package com.common.bluetooth.interfaces

import com.common.bluetooth.callback.BtScanCallBack

/**
 * 蓝牙搜索接口
 *
 * @author wangym
 * @since 2021-10-19
 */
interface IBluetoothSearch {
    /**
     * 启动扫描
     *
     * 指定开始扫描蓝牙服务. 如果一个扫描服务正在运行,
     * 马上停止当前的扫描服务, 只进行新的扫描服务.
     */
    fun startScan(delayTime: Long, callBack: BtScanCallBack?)

    /**
     * 停止扫描
     */
    fun stopScan()

    /**
     * 是否正在扫描
     *
     * @return 是否启动扫描成功
     */
    fun isScanning(): Boolean
}